import { axios } from '@/utils/request'

// 列表查询
export const getEditionSettingList = (params) => {
  const url = `version/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新建保存
export const saveItem = (params) => {
  const url = `version/save`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 根据id查询
export const editItem = (params) => {
  const url = `version/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}
